package capitulo04.bloque03;

import static capitulo04.utils.Utils.crearArrayNumsAleatorios;
import static capitulo04.utils.Utils.mostrarArrayNums;

public class Ejercicio01 {
    public static void main(String[] args) {
        int[] nums150 = crearArrayNumsAleatorios(150, 0, 1000);
        mostrarArrayNums(nums150);
        System.out.println();
        mostrarArrayNums(ordenarBurbuja(nums150));
    }
    public static int[] ordenarBurbuja(int[] array) {
        boolean ordenando;
        do {
            ordenando = false;
            for (int i = 0; i < array.length; i++) {
                if (i != (array.length - 1) && array[i] > array[i + 1]) {
                    int tempNum = array[i];
                    array[i] = array[i + 1];
                    array[i + 1] = tempNum;
                    ordenando = true;
                }
            }
        } while (ordenando);
        return array;
    }
}
